using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Data;

namespace MyGamePlace
{
    [ValueConversion(typeof(EditorPrize), typeof(String))]
    public class EditorPrizeValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value is EditorPrize)
            {
                EditorPrize _prize = (EditorPrize)value;

                switch (_prize)
                {
                    case EditorPrize.BestSinglePlayer:
                        //un altra immagine qu
                        break;
                    case EditorPrize.BestGamePlay:
                        return @"Images\BestGamePlay.png";
                    case EditorPrize.BestMultyPlayer:
                        //un altra immagine qu
                        break;
                    default:
                        //un altra immagine qu
                        break;
                }
            }
            
            return string.Empty;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}
