using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace MyGamePlace
{
    public class Reviews
    {
        private Collection<GameReview> _innerReviews;

        public Reviews()
        {
            _innerReviews = new Collection<GameReview>();
            //creo i giochi
            Game _halo3 = new Game();
            _halo3.Name = "Halo 3";
            _halo3.Cover= @"Images\halo3.jpg";
            _halo3.Genre = GameGenre.Fps;

            Game _gearOfWar = new Game();
            _gearOfWar.Name = "Gear Of War";
            _gearOfWar.Cover= @"Images\gearofwar.jpg";
            _gearOfWar.Genre = GameGenre.Fps;

            Game _massEffect = new Game();
            _massEffect.Name = "Mass Effect";
            _massEffect.Cover = @"Images\masseffect.jpg";
            _massEffect.Genre = GameGenre.Rpg;

            Game _projectGotham4 = new Game();
            _projectGotham4.Name = "Project Gotham 4";
            _projectGotham4.Cover = @"Images\pgr4.jpg";
            _projectGotham4.Genre = GameGenre.Race;

            Game _blueDragon = new Game();
            _blueDragon.Name = "Blue Dragon";
            _blueDragon.Cover = @"Images\bluedragon.jpg";
            _blueDragon.Genre = GameGenre.Rpg;

            //creo le recensioni
            GameReview _halo3Review = new GameReview();
            _halo3Review.Game = _halo3;
            _halo3Review.Review = "Same Text Here";
            _halo3Review.Vote = 10;

            EditorChoice _halo3EditorChoice = new EditorChoice(_halo3Review);
            _halo3EditorChoice.EditorPrize = EditorPrize.BestGamePlay;

            GameReview _gearOfWarReview = new GameReview();
            _gearOfWarReview.Game = _gearOfWar;
            _gearOfWarReview.Review = "Same Text Here";
            _gearOfWarReview.Vote = 9;

            GameReview _massEffectReview = new GameReview();
            _massEffectReview.Game = _massEffect;
            _massEffectReview.Review = "Same Text Here";
            _massEffectReview.Vote = 9;

            GameReview _projectGotham4Review = new GameReview();
            _projectGotham4Review.Game = _projectGotham4;
            _projectGotham4Review.Review = "Some Text Here";
            _projectGotham4Review.Vote = 8;

            GameReview _blueDragonReview = new GameReview();
            _blueDragonReview.Game = _blueDragon;
            _blueDragonReview.Review = "Same text Here";
            _blueDragonReview.Vote = 8;

            _innerReviews.Add(_halo3EditorChoice);
            _innerReviews.Add(_gearOfWarReview);
            _innerReviews.Add(_massEffectReview);
            _innerReviews.Add(_blueDragonReview);
        }

        public IList<GameReview> GameReviews
        {
            get
            {
                return _innerReviews;
            }

        }
    }
}
