using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace MyGamePlace
{
    public class ByGameGenreDataTemplateSelector : DataTemplateSelector
    {
        public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
        {
            GameReview _gameReview = item as GameReview;

            if (_gameReview != null)
            {
                //recupero la finestra corretente che contiene tra le sue risorse il DataTemplate da utilizzare
                Window _window = Application.Current.MainWindow;

                //applico la mia logica di selezione
                if (_gameReview.Game.Genre == GameGenre.Rpg)
                {
                    //recupero la risorsa
                    return _window.FindResource("RpjGameReview") as DataTemplate;
                }

                return null;
            }
            return null;
        }
    }
}
