using System;
using System.Collections.Generic;
using System.Text;

namespace MyGamePlace
{
    public class EditorChoice : GameReview
    {
        private GameReview _innerGameReview;
        private EditorPrize _editorPrize;

        public EditorChoice(GameReview innerGameReview)
        {
            _innerGameReview = innerGameReview;
        }

        public override Game Game
        {
            get
            {
                return _innerGameReview.Game;
            }
            set
            {
               throw new NotSupportedException();
            }
        }

        public override string Review
        {
            get
            {
                return _innerGameReview.Review;
            }
            set
            {
                throw new NotSupportedException();
            }
        }

        public override int Vote
        {
            get
            {
                return _innerGameReview.Vote;
            }
            set
            {
                throw new NotSupportedException();
            }
        }

        public EditorPrize EditorPrize
        {
            get
            {
                return _editorPrize;
            }
            set
            {
                _editorPrize = value;
            }
        }
    }
}
